Flex Installer Issue -- invalid file?

classic Classic list List threaded Threaded
5 messages Options
Reply | Threaded
Open this post in threaded view
|

Flex Installer Issue -- invalid file?

DanielMcQ
Hi,

Just tried the Flex Installer today, seeing as how AIR 31 is out. (Thanks
for all your work keeping the installer going, Piotr!).

Installer failed at third step....looks like a mismatch on the MD5
signature? Here's my log:

Installer path: /Applications/Apache Flex/Apache Flex SDK
Installer.app/Contents/Resources
Installer version 3.3.2 (mac)
Using Locale: en_AU
Fetched the SDK download mirror URL from the CGI.
SDK version Apache Flex SDK 4.16.1
AIR version 31.0
Flash Player version 31.0
Creating Apache Flex home
Creating temporary directory
Downloading Apache Flex SDK from:
http://www.strategylions.com.au/mirror/flex/4.16.1/binaries/apache-flex-sdk-4.16.1-bin.tar.gz
Verifying Apache Flex SDK MD5 Signature
The Apache Flex SDK MD5 Signature of the downloaded files does not match the
reference value. The file is invalid, installation is aborted.
Aborting Installation:
http://flex.apache.org/track-installer.html?failure=true&label=Apache Flex
SDK 4.16.1&version=4.16.1&os=mac&installerversion=3.3.2&info=The Apache Flex
SDK MD5 Signature of the downloaded files does not match the reference
value. The file is invalid, installation is aborted.

Best Regards,

Daniel




-----
~~~~~~~~~~~~~~~~~~~~~~~
mcquilleninteractive.com
simplediagrams.com
--
Sent from: http://apache-flex-users.2333346.n4.nabble.com/
~~~~~~~~~~~~~~~~~~~~~~~ mcquilleninteractive.com simplediagrams.com
Reply | Threaded
Open this post in threaded view
|

Re: Flex Installer Issue -- invalid file?

Alex Harui-2
Try flushing browser caches.  I think AIR uses some browser APIs on Windows and maybe Mac as well.

HTH,
-Alex

´╗┐On 9/18/18, 9:14 PM, "DanielMcQ" <[hidden email]> wrote:

    Hi,
   
    Just tried the Flex Installer today, seeing as how AIR 31 is out. (Thanks
    for all your work keeping the installer going, Piotr!).
   
    Installer failed at third step....looks like a mismatch on the MD5
    signature? Here's my log:
   
    Installer path: /Applications/Apache Flex/Apache Flex SDK
    Installer.app/Contents/Resources
    Installer version 3.3.2 (mac)
    Using Locale: en_AU
    Fetched the SDK download mirror URL from the CGI.
    SDK version Apache Flex SDK 4.16.1
    AIR version 31.0
    Flash Player version 31.0
    Creating Apache Flex home
    Creating temporary directory
    Downloading Apache Flex SDK from:
    https://na01.safelinks.protection.outlook.com/?url=http%3A%2F%2Fwww.strategylions.com.au%2Fmirror%2Fflex%2F4.16.1%2Fbinaries%2Fapache-flex-sdk-4.16.1-bin.tar.gz&amp;data=02%7C01%7Caharui%40adobe.com%7C282b556e33f342ab417808d61de66630%7Cfa7b1b5a7b34438794aed2c178decee1%7C0%7C0%7C636729272732988198&amp;sdata=wNG7boaFwwFvej4jf2zZg2VsX0uwvhCgq1sK2Kmv56U%3D&amp;reserved=0
    Verifying Apache Flex SDK MD5 Signature
    The Apache Flex SDK MD5 Signature of the downloaded files does not match the
    reference value. The file is invalid, installation is aborted.
    Aborting Installation:
    https://na01.safelinks.protection.outlook.com/?url=http%3A%2F%2Fflex.apache.org%2Ftrack-installer.html%3Ffailure%3Dtrue%26label%3DApache&amp;data=02%7C01%7Caharui%40adobe.com%7C282b556e33f342ab417808d61de66630%7Cfa7b1b5a7b34438794aed2c178decee1%7C0%7C0%7C636729272732988198&amp;sdata=MSl%2FkjOu8bre5qUhG8lWV9hhNguPieywA0jGefuEcWo%3D&amp;reserved=0 Flex
    SDK 4.16.1&version=4.16.1&os=mac&installerversion=3.3.2&info=The Apache Flex
    SDK MD5 Signature of the downloaded files does not match the reference
    value. The file is invalid, installation is aborted.
   
    Best Regards,
   
    Daniel
   
   
   
   
    -----
    ~~~~~~~~~~~~~~~~~~~~~~~
    mcquilleninteractive.com
    simplediagrams.com
    --
    Sent from: https://na01.safelinks.protection.outlook.com/?url=http%3A%2F%2Fapache-flex-users.2333346.n4.nabble.com%2F&amp;data=02%7C01%7Caharui%40adobe.com%7C282b556e33f342ab417808d61de66630%7Cfa7b1b5a7b34438794aed2c178decee1%7C0%7C0%7C636729272732988198&amp;sdata=cY3wHyk1bRcRjkHG5FCRGc4E6IMeNqURUynd0NTNy4s%3D&amp;reserved=0
   

Reply | Threaded
Open this post in threaded view
|

Re: Flex Installer Issue -- invalid file?

quick6black
I am getting the same error message with an older version I am trying to
install

Installer path:
C:\Users\nasha001\AppData\Roaming\org.apache.flex.installapacheflex\Local
Store\Win64
Installer version 3.3.2 (windows)
Available Memory: 39682048 (64-bit)
Using Locale: en_US
Fetched the SDK download mirror URL from the CGI.
SDK version Apache Flex SDK 4.14.1
AIR version 18.0
Flash Player version 18.0
Creating Apache Flex home
Creating temporary directory
Downloading Apache Flex SDK from:
http://archive.apache.org/dist/flex/4.14.1/binaries/apache-flex-sdk-4.14.1-bin.zip
Verifying Apache Flex SDK MD5 Signature
The Apache Flex SDK MD5 Signature of the downloaded files does not match the
reference value. The file is invalid, installation is aborted.
Installation aborted:
http://flex.apache.org/track-installer.html?failure=true&label=Apache Flex
SDK 4.14.1&version=4.14.1&os=windows&installerversion=3.3.2&info=The Apache
Flex SDK MD5 Signature of the downloaded files does not match the reference
value. The file is invalid, installation is aborted.




--
Sent from: http://apache-flex-users.2333346.n4.nabble.com/
Reply | Threaded
Open this post in threaded view
|

Re: Flex Installer Issue -- invalid file?

piotrz
Older version of SDK may not work correctly due to some issue in installer
script bundled in SDK.
Alex's suggestion for clearing cache is the only one which come up to my
mind.


On Thu, Sep 20, 2018, 2:52 PM quick6black <[hidden email]> wrote:

> I am getting the same error message with an older version I am trying to
> install
>
> Installer path:
> C:\Users\nasha001\AppData\Roaming\org.apache.flex.installapacheflex\Local
> Store\Win64
> Installer version 3.3.2 (windows)
> Available Memory: 39682048 (64-bit)
> Using Locale: en_US
> Fetched the SDK download mirror URL from the CGI.
> SDK version Apache Flex SDK 4.14.1
> AIR version 18.0
> Flash Player version 18.0
> Creating Apache Flex home
> Creating temporary directory
> Downloading Apache Flex SDK from:
>
> http://archive.apache.org/dist/flex/4.14.1/binaries/apache-flex-sdk-4.14.1-bin.zip
> Verifying Apache Flex SDK MD5 Signature
> The Apache Flex SDK MD5 Signature of the downloaded files does not match
> the
> reference value. The file is invalid, installation is aborted.
> Installation aborted:
> http://flex.apache.org/track-installer.html?failure=true&label=Apache Flex
> SDK 4.14.1&version=4.14.1&os=windows&installerversion=3.3.2&info=The Apache
> Flex SDK MD5 Signature of the downloaded files does not match the reference
> value. The file is invalid, installation is aborted.
>
>
>
>
> --
> Sent from: http://apache-flex-users.2333346.n4.nabble.com/
>
Reply | Threaded
Open this post in threaded view
|

Re: Flex Installer Issue -- invalid file?

DanielMcQ
In reply to this post by Alex Harui-2
Thanks Alex. Flushing cache in Safari did the trick.

(If you're a Mac OS user and need a reminder, like I did, on how to flush
Safari's cache: you enable the "Develop" menu in Safari by selecting "Show
Develop menu in menu bar" checkbox on Safari > Preferences > Advanced, and
then select Develop > Empty Caches)



-----
~~~~~~~~~~~~~~~~~~~~~~~
mcquilleninteractive.com
simplediagrams.com
--
Sent from: http://apache-flex-users.2333346.n4.nabble.com/
~~~~~~~~~~~~~~~~~~~~~~~ mcquilleninteractive.com simplediagrams.com